cURL
curl --request POST \
--url https://api.insightai.in/fraud-detection/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://api.insightai.in/fraud-detection/bulk"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.insightai.in/fraud-detection/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"caseId": "<string>",
"processedCount": 123,
"fraudulentCount": 123,
"analyticsJson": {},
"details": [
{
"status": "<string>",
"isFraudulent": true,
"details": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>"
}Fraud Detection APIs
Bulk Analyze Transaction
Uploads a bulk set of transactions for fraud analysis.
POST
/
fraud-detection
/
bulk
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
multipart/form-data
A file containing multiple transactions in CSV or JSON format.
CSV or JSON file containing multiple transactions.
Response
Bulk fraud detection response
String Id to represent the case analysis of the bulk transaction
Number of transactions successfully processed.
Number of transactions flagged as fraudulent.
JSON of all the transaction flagged and score for each
Show child attributes
Show child attributes
⌘I
